ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant 1.6.3, JDK1.5 and extJavac="1.3"
Date Wed, 04 May 2005 07:36:05 GMT
On Tue, 3 May 2005, Wim Praet <wim@nieuwenbos100.be> wrote:

> But only on Ant 1.6.3...
>
> Running the same build file with JDK1.5 as default JDK and Ant 1.6.2
> gives following output:
> 
>     <snip>
>      [echo] Using C:\java\jdk1.3.1_02\bin\javac.exe
>     [javac] Since fork is true, ignoring compiler setting.
>     [javac] Compiling 455 source files to C:\projects\test\build
>     <snip>

Is there more than the "ignoring compiler settings" message (which
simply is misleading)?

Hmm, I recall that I fixed a bug where Ant would pass -source to forked
1.2 javac's, I could dig out the bug report number.  I seem to have
forgotten to mention it in WHATSNEW.  But that shouldn't apply to your
1.3 compiler.

There have been various changes in the compiler adapter between 1.6.2
and 1.6.3, mainly to support a smoother transition to JDK 1.5.  Ant
will now automagically insert -source X if you specify -target X on
JDK 1.5 for example (and X < 1.5).  At the same time Ant maps
source="1.1" to source="1.3" for certain JDKs.  Quite possible that
we've fixed another problem with it at the same time.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message